@extends('layouts.master')

@section('konten')
    <h1>Halaman Toko 2</h1>

    <a href="/product/tambah" type="button" class="btn btn-primary mb-3">Tambah Data</a>

    <div class="card">
        @if (session('message'))
            <div class="card border-warning mb-3">
                <div class="card-header bg-warning text-white">
                    <strong>{{ session('message') }}</strong>
                </div>
                <div class="card-body">
                    <p class="card-text">{{ session('info') }}</p>
                </div>
            </div>
        @endif
        <div class="card-header">
            <div class="alert alert-warning">
                <b> Nama Toko : </b>{{ $dataTentangtoko['namaTokoPT'] }}
                <br>
                <b> Alamat : </b>{{ $dataTentangtoko['alamatPT'] }}
                <br>
                <b> Tipe Toko : </b>{{ $dataTentangtoko['tipe_tokoPT'] }}

            </div>
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">Daftar Produk Kami</h5>
                <form class="input-group" style="width: 350px">
                    <input type="text" class="form-control" placeholder="Cari Barang" name="keyword"
                        aria-label="Cari Barang" aria-describedby="button-addon2" value="{{ request('keyword') }}">
                    <button class="btn btn-success" type="submit" id="button-addon2">Cari</button>
                </form>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered">
                <thead class="thead-light">
                    <tr>
                        <th scope="col">No</th>
                        <th scope="col">Nama Produk</th>
                        <th scope="col">Harga</th>
                        <th scope="col">Deskripsi</th>
                        <th scope="col">Kategori</th>
                        <th scope="col">Opsi</th>
                    </tr>
                </thead>
                <tbody>

                    @foreach ($dataProduk as $item)
                        <tr>
                            <th scope="row">{{ $loop->iteration }}</th>
                            <td>{{ $item->nama_produk }}</td>
                            <td>{{ $item->harga_produk }}</td>
                            <td>{{ $item->deskripsi_produk }}</td>
                            <td>{{ $item->kategori_id }}</td>
                            <td>
                                <button type="button" class="btn btn-warning" data-bs-toggle="modal"
                                    data-bs-target="#hapus{{ $item->id_produk }}">
                                    Hapus
                                </button>
                                <a href="/product/{{ $item->id_produk }}/edit" type="button"
                                    class="btn btn-info mx-2">Edit</button>
                                    <a href="/product/{{ $item->id_produk }}" type="button"
                                        class="btn btn-primary">Detail</button>

                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>

    @foreach ($dataProduk as $item)
        <!-- Modal -->
        <div class="modal fade" id="hapus{{ $item->id_produk }}" data-bs-backdrop="static" data-bs-keyboard="false"
            tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
            <form action="/product/{{ $item->id_produk }}/delete" method="POST" class="modal-dialog">
                @csrf
                @method('DELETE')
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="staticBackdropLabel">Konfirmasi</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        Apakah Anda Yakin Akan menghapus Data <strong>{{ $item->nama_produk }}</strong> ?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Hapus Data</button>
                    </div>
                </div>
            </form>
        </div>
    @endforeach

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
@endsection
